package body MSHTML.IHTMLApplicationCache_Object is

   function Get_status
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_status);
   end Get_status;

   procedure Put_onchecking
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onchecking,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onchecking;

   function Get_onchecking
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onchecking);
   end Get_onchecking;

   procedure Put_onerror
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onerror,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onerror;

   function Get_onerror
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onerror);
   end Get_onerror;

   procedure Put_onnoupdate
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onnoupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onnoupdate;

   function Get_onnoupdate
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onnoupdate);
   end Get_onnoupdate;

   procedure Put_ondownloading
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_ondownloading,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondownloading;

   function Get_ondownloading
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_ondownloading);
   end Get_ondownloading;

   procedure Put_onprogress
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onprogress,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onprogress;

   function Get_onprogress
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onprogress);
   end Get_onprogress;

   procedure Put_onupdateready
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onupdateready,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onupdateready;

   function Get_onupdateready
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onupdateready);
   end Get_onupdateready;

   procedure Put_oncached
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_oncached,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_oncached;

   function Get_oncached
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_oncached);
   end Get_oncached;

   procedure Put_onobsolete
     (This : IHTMLApplicationCache_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLApplicationCache_Put_onobsolete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onobsolete;

   function Get_onobsolete
     (This : IHTMLApplicationCache_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLApplicationCache_Get_onobsolete);
   end Get_onobsolete;

   procedure update
     (This : IHTMLApplicationCache_Type)
   is
   begin
      Invoke (This, IHTMLApplicationCache_update);
   end update;

   procedure swapCache
     (This : IHTMLApplicationCache_Type)
   is
   begin
      Invoke (This, IHTMLApplicationCache_swapCache);
   end swapCache;

   procedure uabort
     (This : IHTMLApplicationCache_Type)
   is
   begin
      Invoke (This, IHTMLApplicationCache_uabort);
   end uabort;

end MSHTML.IHTMLApplicationCache_Object;

